#!/bin/sh
echo 'name: deepseq
version: 1.3.0.0
id: deepseq-1.3.0.0-2c235e00c97fad1f90f6e20228a88bab

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
description: This package provides methods for fully evaluating data structures
             (\"deep evaluation\"). Deep evaluation is often used for adding
             strictness to a program, e.g. in order to force pending exceptions,
             remove space leaks, or force lazy I/O to happen. It is also useful
             in parallel programs, to ensure pending work does not migrate to the
             wrong thread.
             .
             The primary use of this package is via the '\''deepseq'\'' function, a
             \"deep\" version of '\''seq'\''. It is implemented on top of an '\''NFData'\''
             typeclass (\"Normal Form Data\", data structures with no unevaluated
             components) which defines strategies for fully evaluating different
             data types.
category: Control
author:
exposed: True
exposed-modules: Control.DeepSeq
hidden-modules:
import-dirs: /usr/lib/ghc-7.0.3/site-local/deepseq-1.3.0.0
library-dirs: /usr/lib/ghc-7.0.3/site-local/deepseq-1.3.0.0
hs-libraries: HSdeepseq-1.3.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.3.0.2-143060371bda4ff52c270d1067551fe8
         base-4.3.1.0-c33a1741503ded8a0170884e8a2e4fa2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/deepseq-1.3.0.0/html/deepseq.haddock
haddock-html: /usr/share/doc/deepseq-1.3.0.0/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
